<?PHP
    require_once 'XML/Util.php';
    
    /**
    * replacing XML entities
    */
    print "replace XML entities:<br>\n";
    print XML_Util::replaceEntities("This string contains < & >.");
    print "\n<br><br>\n";

    /**
    * building XML declaratins
    */
    print "building XML declaration:<br>\n";
    print htmlspecialchars(XML_Util::getXMLDeclaration());
    print "\n<br><br>\n";

    print "building XML declaration with additional attributes:<br>";
    print htmlspecialchars(XML_Util::getXMLDeclaration("1.0", "UTF-8", true));
    print "\n<br><br>\n";

    /**
    * creating an attribute string
    */
    $att = array(
                  "foo"   =>  "bar",
                  "argh"  =>  "tomato"
                );

    print "converting array to string:<br>\n";
    print XML_Util::attributesToString($att);
    print "\n<br><br>\n";

    /**
    * splitting a qualified tag name
    */
    print "splitting qualified tag name:<br>\n";
    print "<pre>";
    print_r(XML_Util::splitQualifiedName("xslt:stylesheet"));
    print "</pre>";
    print "\n<br>\n";

    /**
    * verifying XML names
    */
    print "verifying 'My private tag':<br>\n";
    print "<pre>";
    print_r(XML_Util::isValidname('My Private Tag'));
    print "</pre>";
    print "\n<br><br>\n";
    
    print "verifying '-MyTag':<br>\n";
    print "<pre>";
    print_r(XML_Util::isValidname('-MyTag'));
    print "</pre>";
    print "\n<br><br>\n";

    /**
    * creating an XML tag
    */
    $tag = array(
                  "namespace"   => "foo",
                  "localPart"   => "bar",
                  "attributes"  => array( "key" => "value", "argh" => "fruit&vegetable" ),
                  "content"     => "I'm inside the tag"
                );

    print "creating a tag with namespace and local part:<br>";
    print htmlentities(XML_Util::createTagFromArray($tag));
    print "\n<br><br>\n";

    /**
    * creating an XML tag
    */
    $tag = array(
                  "qname"        => "foo:bar",
                  "namespaceUri" => "http://foo.com",
                  "attributes"   => array( "key" => "value", "argh" => "fruit&vegetable" ),
                  "content"      => "I'm inside the tag"
                );

    print "creating a tag with qualified name and namespaceUri:<br>\n";
    print htmlentities(XML_Util::createTagFromArray($tag));
    print "\n<br><br>\n";

    /**
    * creating an XML tag
    */
    $tag = array(
                  "qname"        => "bar",
                  "namespaceUri" => "http://foo.com",
                  "attributes"   => array( "key" => "value", "argh" => "fruit&vegetable" )
                );

    print "creating an empty tag without namespace but namespace Uri:<br>\n";
    print htmlentities(XML_Util::createTagFromArray($tag));
    print "\n<br><br>\n";

    /**
    * creating an XML tag with createTag
    */
    print "creating a tag with createTag:<br>";
    print htmlentities(XML_Util::createTag("myNs:myTag", array("foo" => "bar"), "This is inside the tag", "http://www.w3c.org/myNs#"));
    print "\n<br><br>\n";

    
    /**
    * trying to create an XML tag with an array as content
    */
    $tag = array(
                  "qname"        => "bar",
                  "content"      => array( "foo" => "bar" )
                );
    print "trying to create an XML tag with an array as content:<br>\n";
    print "<pre>";
    print_r(XML_Util::createTagFromArray($tag));
    print "</pre>";
    print "\n<br><br>\n";
    
?>